SystemOrganization addCategory: #'GT-InspectorExtensions-CoreRoassal'!

!RTLayout class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:28'!
examplesProvider

	^ RTLayoutExample new! !

!TRCanvas class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 4/1/2015 10:40'!
gtExampleEmpty
	<gtExample: 'Empty canvas'>
	^ TRCanvas new! !

!TRCanvas methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 9/8/2014 11:41'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ RTView new setCanvas: self ]
		! !

!RTSpectrograph class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:50'!
examplesProvider
	
	^ RTSpectrographExample new! !

!FileReference methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 3/10/2015 10:30'!
gtInspectorGroupedFilesIn: composite
	<gtInspectorPresentationOrder: 40>
	^ composite roassal2
		title: 'Grouped files';
		initializeView: [ RTDoubleBarBuilder new ];
		painting: [ :builder :presentation |
			| metric all grouped |
			metric := #size.
			all := self allFiles.
			grouped := (all groupedBy: [ :each | each extension ]) 
								associations sorted: [:a :b | 
											(a value sumNumbers: metric) > 
											(b value sumNumbers: metric) ].
			grouped := (grouped first: (20 min: grouped size)) select: [:each | 
					(each value sumNumbers: metric) > 0].
			builder pointName: [ :each | each key ].
			builder points: grouped.
			builder bottomValue: [ :each | each value size ] titled: 'Number of files'.
			builder 
				topValue: [ :each | (each value sumNumbers: metric) / 1000000 ] 
				titled: 'Total size in MB'];
		send: #value;
		when: [self isDirectory and: [self hasChildren]]! !

!RTSVGPath class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:29'!
examplesProvider

	^ RTSVGExample new! !

!RTBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 3/27/2015 09:20'!
gtExampleBuilder
	<gtExample: 'Example builder'>
	^ self new! !

!RTBuilder methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/5/2014 12:16'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]! !

!RTBoxPlotDataSet class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:32'!
examplesProvider

	^ RTBoxPlotExample new! !

!CPDiverging class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 3/27/2015 16:43'!
gtExampleColorPalette
	<gtExample: 'Colors: diverging scheme'>
	^ self new! !

!CPDiverging methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTGrapher class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:37'!
examplesProvider

	^ RTGrapherExample new! !

!RTSunburstBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:54'!
examplesProvider
	
	^ RTSunburstBuilderExamples new! !

!RTGradientColoredLine class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 11:22'!
examplesProvider

	^ RTGradientColoredLineExample new! !

!RTAxisAdaptedBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:31'!
examplesProvider

	^ RTAxisAdaptedBuilderExample new! !

!MessageTally methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/27/2014 00:26'!
gtInspectorMessageTreeIn: composite
	<gtInspectorPresentationOrder: 40>
	| methods normalizer |
	methods := self withDeepCollect: #children.
	normalizer := RTNColorLinearNormalizer 
						inContext: methods 
						withCommand: #tally 
						lowColor: Color gray 
						highColor: Color red.
	^ (composite tree)
		title: 'Tree';
		children: [ :each | each children ];
		"rootsExpanded;"
		format: [ :each | 
			Text 
				string: each gtDisplayString
				attributes: { TextColor color: (normalizer rtValue: each)}];
		when: [ self children notEmpty ];
		filterOn: [ :text :each | each gtDisplayString includesSubstring: text caseSensitive: false ];
		morphicSelectionAct: [ :list | list selection method browse ]
			icon: GLMUIThemeExtraIcons glamorousBrowse
			on: $b
			entitled: 'Browse (b)'
		! !

!MessageTally methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/4/2014 07:19'!
gtInspectorPerformanceChartIn: composite
	<gtInspectorPresentationOrder: 40>
	| metric |
	metric := #localTally.
	^ composite roassal2
		title: 'Top tallies';
		initializeView: [ RTDoubleBarBuilder new ];
		painting: [ :builder :presentation |
			GTInspectorMessageTallyCharter new 
				performanceOf: self 
				with: builder
				in: presentation ];
		when: [ self children notEmpty ]! !

!RTKiviatBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:42'!
examplesProvider

	^ RTKiviatBuilderExample new! !

!RTUMLClassBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:56'!
examplesProvider
	
	^ RTUMLExample new! !

!CPQualitative class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 3/27/2015 16:43'!
gtExampleColorPalette
	<gtExample: 'Colors: qualititive scheme'>
	^ self new! !

!CPQualitative methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTComposer class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:35'!
examplesProvider

	^ RTComposerExample new! !

!RTAbstractExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 1/14/2015 15:39'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 4>
	<gtInspectorTag: #examples>
	^ self new gtInspectorPreviewIn: composite! !

!RTAbstractExample methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 10/30/2014 14:40'!
gtDisplayExamplesIn: aComposite

	^ (self gtInspectorPreviewIn: aComposite)
		title: 'E.g'! !

!RTAbstractExample methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 1/14/2015 15:56'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 4>
	^ composite roassal2
		title: 'Examples';
		when: [ self gtExamples notEmpty ];
		send: [ :example | example result ];
		painting: [ :view | 
			view @ RTDraggableView.
			self gtOpenOn: view ]! !

!RTMondrianViewBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 11/30/2014 18:01'!
gtInspectorMondrianExamplesIn: composite
	<gtInspectorPresentationOrder: 0>
	^ RTMondrianExample new gtInspectorPreviewIn: composite! !

!RTStackBarPlot class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:53'!
examplesProvider
	
	^ RTStackBarPlotExample new! !

!RTExampleSelection class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 3/27/2015 09:40'!
gtExampleAtRandom
	<gtExample: 'Random example'>
	^ RTAbstractExample subclasses atRandom new gtExamples atRandom! !

!RTExampleSelection class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 4/23/2015 11:30'!
gtExampleFlags
	<gtExample: 'Example flags'>
	^ RTExampleSelection new 
		provider: RTComposedShapeExample new; 
		selector: #exampleFlags;
		yourself! !

!RTExampleSelection methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 4/23/2015 11:42'!
gtDisplaySourceIn: composite

	^ composite smalltalkCode
		beForScripting;
		title: 'Source';
		format: [ 
			| source firstLine sourceWithoutFirstLine |
			source := (self provider class >> selector) getSource.
			firstLine := source lines first.
			sourceWithoutFirstLine := source copyFrom: firstLine size + 1 to: source size.
			sourceWithoutFirstLine ];
		act: [ :text :page |
				text selectionInterval: (1 to: text text size).
				text evaluateSelectionAndDo: [ :anObject | text selection: anObject ] ]
			icon: GLMUIThemeExtraIcons glamorousGo
			on: $g
			entitled: 'Do it all and go (g)'
		! !

!RTExampleSelection methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 4/23/2015 11:33'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ self result]
		! !

!RTTreeMapBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:55'!
examplesProvider
	
	^ RTTreeMapExample new! !

!CPSequential class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 3/27/2015 16:43'!
gtExampleColorPalette
	<gtExample: 'Colors: sequential scheme'>
	^ self new! !

!CPSequential methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!GLMSystemWindow methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 12/18/2013 05:26'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ (self model 
		gtInspectorOpenTreeIn: composite)
		title: 'Browser tree'! !

!RTCircularTreeMapBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:33'!
examplesProvider

	^ RTCircularTreeMapExample new! !

!RTView class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 3/28/2015 15:32'!
gtExampleEmptyView
	<gtExample: 'Empty view'>
	^ self new! !

!RTView methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 11/1/2014 23:12'!
gtInspectorElementsHierarchyIn: composite
	<gtInspectorPresentationOrder: 20>
	composite table 
		title: 'Elements';
		showOnly: 50;
		display: [ :each | each elements ];
		children: #nestedElements;
		column: 'Model' evaluated: [ :each | each model asString ];
		column: 'Shape' evaluated: [ :each | each shape asString ]! !

!RTView methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 3/31/2014 14:24'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]
		! !

!GLMCompositePresentation methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/24/2014 06:52'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ composite roassal2
		title: 'Tree';
		painting: [:view :b | 
			self viewTreeOn: view ]! !

GLMCompositePresentation subclass: #GTInspectorMessageTallyCharter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-InspectorExtensions-CoreRoassal'!

!GTInspectorMessageTallyCharter commentStamp: 'TudorGirba 1/18/2014 14:28' prior: 0!
Helper class for displaying charts specific for a MessageTally.!

!GTInspectorMessageTallyCharter methodsFor: 'visualization' stamp: 'TudorGirba 10/26/2014 21:01'!
performanceOf: aMessageTally with: builder in: presentation
	"Displays a double chart showing the top 20 most costly methods within a MessageTally.
	For each method it sows the number of occurences of a method and the 
	total amount of local tallies for that method. Useful for identifying outliers 
	within one execution."
	
	| all grouped metric |
	metric := #localTally.
	all := aMessageTally deepCollect: [ :each | each sonsOver: 1 ].
	grouped := (all groupedBy: [ :each | String streamContents: [:s | each gtDisplayIdentifierOn: s] ]) 
						associations sorted: [:a :b | 
									(a value sumNumbers: metric) > 
									(b value sumNumbers: metric) ].
	grouped := (grouped first: (20 min: grouped size)) select: [:each | (each value sumNumbers: metric) > 0].
	builder pointName: [ :each | each key ].
	builder points: grouped.
	builder bottomValue: [ :each | each key size ] titled: 'Locations'.
	builder topValue: [ :each | each value sumNumbers: metric ] titled: 'Tallies'! !

!MetacelloVersion methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 3/20/2015 15:14'!
gtInspectorProjectMapIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'Project map';
		initializeView: [ RTMondrian new ];
		painting: [ :view |
			view shape label text: [:each | each asString copyReplaceAll: 'ConfigurationOf' with: ''].
			view nodes: self allProjects.
			view edges
				 connectFrom: #yourself  toAll: [:each | each projects collect: #version].
			view horizontalDominanceTreeLayout layered ]! !

!RTMondrianExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:43'!
examplesProvider

	^ RTMondrianExample new! !

!RTExploraBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:36'!
examplesProvider

	^ RTExploraBuilderExample new! !

!RTAnimatedScatterPlot class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:30'!
examplesProvider

	^ RTAnimatedScatterPlotExample new! !

!RTPieBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 11:20'!
examplesProvider

	^ RTPieExample new! !

!RTMapLocationBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:42'!
examplesProvider

	^ RTMapLocationExample new! !

!GLMBrowser methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/24/2014 06:52'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ composite roassal2
		title: 'Tree';
		painting: [:view :b | 
			self viewTreeOn: view ]! !

!RTOSM class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:58'!
examplesProvider
	
	^ RTOpenStreeMapExample new! !

!RTCompositeShape class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 5/5/2015 10:25'!
examplesProvider

	^ RTComposedShapeExample new! !

!RTNameCloud class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 10/29/2014 23:43'!
examplesProvider

	^ RTNameCloudExample new! !

!RTMapBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 10/29/2014 23:27'!
examplesProvider

	^ RTMapExample new! !
